@import url('https://fonts.googleapis.com/css2?family=Oxanium:wght@300;400;500;600;700;800&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Oxanium', cursive;
}

body{
    text-align: center;
    background: linear-gradient(to bottom,#6ab7f5, #fff);
    min-height: 100vh;
    
}

main{
    display: inline-block;
    margin-top: 2%;
    padding: 15px;
    position: relative;
}

.pokedex{
    width:100%;
    max-width: 425px;
}

.pokemonImage{
    display: block;
    position: absolute;
    bottom: 51.5%;
    left: 50%;
    transform: translate(-63%, -1%);
    height: 20%;
}

.pokemonData{
    position: absolute;
    font-weight: 600;
    color: #aaa;
    top: 53.9%;
    right: 27%;
    font-size: clamp(9px, 5vw, 30px);
}

.pokemonName{
    color: #3a444d;
    text-transform: capitalize;
}

.formulario{
    position: absolute;
    width: 65%;
    top: 65%;
    left: 13.5%;
}

.inputSearch{
    width: 100%;
    padding: 4%;
    outline: none;
    border: 3px solid #333;
    border-radius: 5px;
    font-weight: 600;
    color: #3a444d;
    font-size: clamp(8px, 5vw, 1rem);
    box-shadow: -3px 4px 0 #888, -5px 7px 0 #333;
}

.buttons{
    position: absolute;
    bottom: 10%;
    left: 50%;
    width: 65%;
    transform: translate(-57%, 0);
    display: flex;
    gap: 20px;
}

button{
    width: 50%;
    padding: 4px;
    border: 2px solid black;
    border-radius: 5px;
    font-size: clamp(8px, 5vw, 1rem);
    font-weight: 600;
    color: white;
    background-color: #444;
    box-shadow: -2px 3px 0 #222, -4px 6px 0 #000;
}

.button:active{
    box-shadow: inset -4px 4px 0 #222;
    font-size: 0.9rem;
}
